
Redmine - Patch #216

Email settings

2007-03-30 16:34 - Ted Wise

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Description

Creates an admin interface for the email settings.  Uses the existing Settings table to store the new settings.  Adds

a check to the info page as to whether email has been configured.  Disables emails by default.  Needs additional translations

for newly added strings and an additional icon for the admin page (using the existing mail notifications icon now).

History

#1 - 2007-03-30 18:53 - Jean-Philippe Lang

No patch attached.

#2 - 2008-02-29 18:03 - Rocco Stanzione

I see a patch!

#3 - 2008-03-01 00:08 - Jean-Philippe Lang

- Category set to Email notifications

Yes, the patch was added later.

Web based SMTP configuration could be convenient for some people but here are the main reasons why I don't apply this patch:

1. It won't play well with plugins that introduce new email delivery settings (eg. ActionMailer TLS)

2. It won't work as expected when running multiple instances of the app (eg. with a mongrel cluster)

#4 - 2010-08-21 22:10 - Jean-Baptiste Barth

- Status changed from New to Closed

Closing as it won't be applied.

Files

redmine-email-settings.patch 16.3 KB 2008-02-03 Ted Wise
